diff --git a/cmake/InstallDirs.cmake b/cmake/InstallDirs.cmake
index 8af22c7..3a0152b 100644
--- a/cmake/InstallDirs.cmake
+++ b/cmake/InstallDirs.cmake
@@ -25,9 +25,12 @@ endif()
 # CMAKE_INSTALL_LIBDIR
 include(GNUInstallDirs)
 
-set(CMAKE_INSTALL_DOCDIR ${CMAKE_INSTALL_DATAROOTDIR}/doc/${PROJECT_NAME})
-gnuinstalldirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_DOCDIR
-                                        CMAKE_INSTALL_DOCDIR DOCDIR)
+if (NOT CMAKE_INSTALL_DIR)
+  set(CMAKE_INSTALL_DOCDIR ${CMAKE_INSTALL_DATAROOTDIR}/doc/${PROJECT_NAME})
+else()
+  gnuinstalldirs_get_absolute_install_dir(CMAKE_INSTALL_FULL_DOCDIR
+                                          CMAKE_INSTALL_DOCDIR DOCDIR)
+endif()
 
 if(WIN32 AND CMAKE_SIZEOF_VOID_P EQUAL 4)
   set(CMAKE_INSTALL_BINDIR
